<?php

namespace Drupal\info_messages;

use Drupal\Core\Messenger\MessengerInterface;
use Symfony\Component\HttpFoundation\Session\Flash\FlashBagInterface;

interface InfoMessengerInterface extends MessengerInterface {

  /**
   * A info message.
   */
  const TYPE_INFO = 'info';

  /**
   * Adds a new status message to the queue.
   *
   * @param string|\Drupal\Component\Render\MarkupInterface $message
   *   (optional) The translated message to be displayed to the user. For
   *   consistency with other messages, it should begin with a capital letter
   *   and end with a period.
   * @param bool $repeat
   *   (optional) If this is FALSE and the message is already set, then the
   *   message won't be repeated. Defaults to FALSE.
   *
   * @return $this
   */
  public function addInfo($message, $repeat = FALSE);

}
